Skip to main content
PATCH
/
integrations
/
webhooks
/
{id}
Update webhook endpoint
curl --request PATCH \
  --url https://ai-api.getbreezyapp.com/api/v1/integrations/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "eventTypes": [],
  "enabled": true
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "url": "<string>",
    "eventTypes": [],
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "lastDeliveryAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.

Path Parameters

id
string
required

Unique identifier (UUID)

Pattern: ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$

Body

application/json
name
string
Required string length: 1 - 100
url
string
Required string length: 1 - 2048
eventTypes
enum<string>[]
Minimum array length: 1
Available options:
service_request.created,
service_request.status_changed,
service_request.booked,
interaction.completed
enabled
boolean

Response

200 - application/json

OK

data
object
required
read-only